@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Poppins:ital,wght@0,400;0,700;1,400;1,500;1,600&display=swap');

:root{
    /*color*/
  --primary-color:        #7a9e7e;
  --secondary-color:      #4f7a55;
  --background-color-1:   #191c19;
  --background-color-2:   #222622;
  --background-color-3:   #2e332e;
  --background-color-4:   #141614;
  --extra-light:          #e8ede8;
  --white:                #ffffff;

    /*Width*/
    --max-width:1200px
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Poppins';
}

html,body{
    scroll-behavior: smooth;
}

body{
    font-family: "Poppins",sans-serif;
}

header{
    background-color: var(--background-color-4);
    overflow: hidden;
}

.section__container{
    max-width: var(--max-width);
    margin: auto;
    padding: 5rem 1rem;
}

.section__header{
    font-size: 2.5rem;
    font-weight: 600rem;
    color: var(--white);
    line-height: 3.25rem;
    text-align: center;
}

.section__description{
    font-size: 1rem;
    color: var(--extra-light);
    line-height: 1.75rem;
    text-align: center;
}

img{
    display: flex;
    width: 100%;
}

a{
    text-decoration: none;
    transition: 0.3s;
}

ul{
    list-style: none;
}

/*Nav-styling*/

.btn{
    padding: 0.75rem 1.5rem;
    outline: none;
    border: none;
    color: var(--white);
    font-size: 1rem;
    font-family: "Poppins",sans-serif;
    white-space: nowrap;
    background-color: var(--primary-color);
    border-radius: 5px;
    transition: 0.3s;
    border-radius: 1rem;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}

.btn:hover{
    transform: scale(1.1);
}

nav{
    position: fixed;
    isolation: isolate;
    width: 100%;
    z-index: 9;
}

.nav__header{
    padding: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--primary-color);
}

.logo__name{
    font-size: 1rem;
    font-weight: 700;
    color: var(--extra-light);
}

.nav__menu__btn{
    font-size: 1.5rem;
    color: var(--white);
    cursor: pointer;
}

.nav__links{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
    padding: 2rem;
    background-color: var(--primary-color);
    transform: translateY(-100%); 
    transition: transform 0.5s; 
    z-index: -1;
}

.nav__links.open {
    transform: translateY(100%);
}

.nav__links a{
    font-weight: 500;
    color: var(--white);
    white-space: nowrap;
}

.nav__links .btn{
    padding: 0;
    font-weight: 500;
    background-color: var(--primary-color);
}

.header__container{
    display: grid;
    gap: 2rem;
}

.header__image img{
    border-radius: 50%;
    padding-bottom: 5rem;
    max-width: 600px;
    margin-inline: auto;
    box-shadow: #141614;
}

.header__content h1{
    margin-bottom: 1rem;
    font-size: 3rem;
    font-weight: 700;
    color: var(--white);
    line-height: 4rem;
    text-align: center;
}

.header__content .section__description{
    margin-bottom: 2rem;
}

.header__btn{
    margin-bottom: 2rem;
    text-align: center;
}

.header__stats{
    display: flex;
    align-items:center;
    justify-content: center;
    gap: 1rem;
}

.header__stats h4{
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--white);
}

.header__stats p{
    font-size: 0.9rem;
    color: var(--extra-light);
}

.about{
    background-color: var(--background-color-1);
    overflow: hidden;
}

.about__container{
  display: grid;
  gap: 2rem;
}

.about__image img {
    max-width: 500px;
    margin-inline: auto;
    border-radius: 50%;
    box-shadow: 0 0 50px rgba(0, 0, 0, 0.5);
}

.about__content :is(.section__header .section__description){
    margin-bottom: 1rem;
}

.about__btn{
    margin-top: 2rem;
    text-align: center;
}

.program{
    background-color: var(--background-color-2);
}

.program__header{
    display: grid;
    gap: 1rem 4rem;
}

.program__grid{
    margin-top: 4rem;
    display: grid;
    gap: 1rem;
}

.program__card{
    padding: 1rem;
    border-radius: 1rem;
    background-color: var(--background-color-3);
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.1);
     transition: 0.2s ease-in-out;
}

.program__card:hover{
    background-color: var(--secondary-color);
}

.program__card img {
    max-width: 75px;
    margin-bottom: 1rem;
}

.program__card h4{
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--white);
}

.program__card p{
    margin-bottom: 1rem;
    color: var(--extra-light);
    line-height: 1.75rem;
}

.program__card a{
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--extra-light);
}

.service {
  background-color: var(--background-color-1);
  overflow: hidden;
}

.service__container {
  display: grid;
  gap: 2rem;
  padding-block: 0;
}

.service__image img {
  border-radius: 50%;
  padding-bottom: 2rem;
  margin-inline: auto;
}

.service__content {
  padding-block: 5rem 0;
}

.service__content .section__header {
  margin-bottom: 2rem;
}

.service__content :is(.section__header, .section__description) {
  text-align: left;
}

.service__list {
  display: grid;
  gap: 1rem;
}

.service__list h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--white);
}

.service__list span {
  margin-right: 10px;
  color: var(--secondary-color);
}

.service__btn{
    margin-top: 2rem;
}

/*Testimonials-section styling*/

.testimonials-section {
    padding: 55px 0 100px;
    background: var(--background-color-3);
}

.testimonials-section .slider-wrapper{
    overflow: hidden;
    margin: 0 60px 50px;
}

.testimonials-section .testimonial {
    color: var(--extra-light);
    user-select: none;
    display: flex;
    padding: 35px;
    text-align: center;
    flex-direction: column;
    align-items: center;
}

.testimonials-section .testimonial .user-image{
    width: 180px;
    height: 180px;
    object-fit: cover;
    margin-bottom: 50px;
    border-radius: 50%;
}

.testimonials-section .testimonial .name{
    margin-bottom: 16px;
    font-size: 1.12rem;
}

.testimonials-section .testimonial .feedback{
    line-height: 25px;
}

.testimonials-section .swiper-pagination-bullet{
    width: 15px;
    height: 15px;
    opacity: 1;
    background-color: var(--secondary-color);
}

.testimonials-section .swiper-slide-button{
    margin-top: -50px;
    color: var(--extra-light);
    transition: 0.2s ease;
}

.testimonials-section .swiper-slide-button:hover{
    color: var(--secondary-color);
}

footer{
    background-color: var(--background-color-1);
}

.footer__container{
    display: grid;
    gap: 4rem 1rem;
}

.footer__col h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--white);
}

.footer__links {
  display: grid;
  gap: 1rem;
}

.footer__links a {
  color: var(--extra-light);
}

.footer__links a:hover {
  color: var(--primary-color);
}

.footer__links a span {
  margin-right: 10px;
  font-size: 1.2rem;
  color: var(--primary-color);
}

.footer__col form {
  margin-bottom: 1rem;
  width: 100%;
  max-width: 350px;
  display: flex;
  align-items: center;
  background-color: var(--white);
  border-radius: 5rem;
}

.footer__col input {
  width: 100%;
  padding-inline: 1rem;
  font-size: 1rem;
  color: var(--background-color-1);
  outline: none;
  border: none;
  background-color: transparent;
}

.footer__col .btn {
  margin: 5px;
  padding: 4px 10px;
  font-size: 1.5rem;
  border-radius: 5rem;
}

.footer__col p {
  font-size: 1rem;
  line-height: 1.75rem;
  color: var(--extra-light);
}

.footer__bar {
  padding-block: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  border-top: 1px solid var(--extra-light);
}

.footer__bar p {
  font-size: 1rem;
  line-height: 1.75rem;
  color: var(--extra-light);
  text-align: center;
}

.footer__socials {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.footer__socials a {
  padding: 2px 5px;
  color: var(--background-color-1);
  font-size: 1.125rem;
  background-color: var(--extra-light);
  border-radius: 100%;
}

.footer__socials a:hover {
  color: var(--white);
  background-color: var(--primary-color);
}

::-webkit-scrollbar{
    width: 10px;
}

::-webkit-scrollbar-track{
    background-color: var(--extra-light);
}

::-webkit-scrollbar-thumb{
    border-radius: 0.5rem;
    background: var(--primary-color);
}


/*Screen resizing*/

@media (width>540px){
    .program__grid{
        grid-template-columns: repeat(2,1fr);
    }

    .footer__container{
        grid-template-columns: repeat(2,1fr);
    }

}

@media (width >768px){
    nav{
        position: static;
        padding: 2rem 1rem;
        max-width: var(--max-width);
        margin-inline: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 1rem;
    }

    .nav__header{
        padding: 0;
        background-color: transparent;
    }

    .nav__logo a img{
        max-width: 175px;
    }

    .nav__menu__btn{
        display: none;
    }

    .nav__links{
        position: static;
        padding: 0;
        width: fit-content;
        flex-direction: row;
        background-color: transparent;
        transform: none;
    }

    .nav__links a:hover{
        color: var(--primary-color);
    }

    .nav__links .btn{
        padding: 0.75rem 1.5rem;
    }

    .header__container{
        padding-block: 0;
        grid-template-columns: repeat(2, 1fr);
        align-items: flex-end;
    }

    .header__image{
        grid-area: 1/2/2/3;
    }

    .header__content{
        padding-block: 5rem;
    }

    .header__content :is(h1,.section__description,.header__btn){
        text-align: left;
    }

    .header__stats{
        justify-content: flex-start;
    }

    .about__container{
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }

    .about__content :is(.section__header,.section__description,.about__btn){
        text-align: left;
        
    }

    .program__header{
        grid-template-columns: repeat(2, 1fr);
    }

    .program__header :is(.section__header, .section__description){
        text-align: left;
    }

    .program__grid{
        grid-template-columns: repeat(4, 1fr);
    }

    .service__container{
        grid-template-columns: repeat(2,1fr);
        align-items: end;
    }

    .service__content{
        padding-block: 5rem;
    }

    .testimonial__container{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }


    .testimonial__content :is(.section__header, .section__description){
        text-align: left;
    }

    .footer__container{
        grid-template-columns: repeat(4,1fr);
    }

    .footer__bar{
        flex-direction: row;
        justify-content: space-between;
    }
}

@media (width > 1024px){

    .program__grid{
      gap: 1.5rem;
    }

    .program__card{
        padding: 1.5rem;
    }

    .testimonial__card{
        padding: 1.5rem;
    }

}